<div id="content">
    <div>
        <div class="row">
            <div class="left">
                <div class="head">
                    <h1 [routerLink]="['/genres']"> Genres </h1>
                </div>

                <div class=" row " style="margin-left: 0;">
                    <div class="col-xs-12 ">
                        <div class="link " [routerLink]="['./discussions']">
                            <h2 class="list-group-item-heading ">
                                Discussions
                            </h2>
                        </div>

                        <div class="link">
                            <h2 class="list-group-item-heading " style="cursor: pointer" (click)="onOpenDialog()">
                                New Discussion
                            </h2>
                        </div>

                        <div class="link " (click)="onShowGenresList()">
                            <h2 class="list-group-item-heading ">
                                List genres
                            </h2>
                        </div>

                        <div *ngIf="showGenresList && genresList">
                            <div *ngFor="let genre of genresList" class="genres-list" routerLinkActive="activeGenre" [routerLink]="[genre._id]">
                                <h4 class="list-group-item-heading ">
                                    {{ genre.name }}
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="bord">
                <router-outlet></router-outlet>
            </div>
        </div>
    </div>
</div>
